package com.demo.ticketing.controller;


import com.demo.ticketing.model.Economy;
import com.demo.ticketing.service.BizTicketingService;
import com.demo.ticketing.service.EconomyTicketingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("api")
public class TicketingController {

    @Autowired
    EconomyTicketingService economyTicketingService;

    @Autowired
    BizTicketingService bizService;

    @GetMapping("/eco")
    public Integer getEconomy(){
        return economyTicketingService.giveMeEcoPrice();
    }


    @GetMapping("/biz")
    public Integer getBiz(){
        return bizService.giveMeBizPrice();
    }

}
