package com.demo.ticketing.service;

import com.demo.ticketing.model.Customer;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class CustomerService {

    static Map<Integer, Customer> map = new HashMap();

    public Customer findById(Integer id){
        createCustomers();
        return map.get(id);
    }


    private List createCustomers(){

        List<Customer> l = new ArrayList();

        for(int i=1;i<=10;i++){
            Customer c = new Customer();
            c.setCustomerId(i);
            c.setLastName("Last " + i);
            c.setFirstName("First " + i);
            c.setDateOfBirth(new Date());

            map.put(i, c);

            l.add(c);
        }

        return l;

    }

    public List<Customer> findAll() {
        return createCustomers();
    }

    public Customer addCustomer(Customer customer) {
        map.put(customer.getCustomerId(), customer);
        return customer;
    }

    public Customer editCustomer(Customer customer) {
        //Customer currentCustomer = map.get(customer.getCustomerId());
        map.put(customer.getCustomerId(), customer);
        return customer;
    }
}
